# Set agents life mode (by id)

`PUT /agents/{id}/life/mode` · Rivier · agents

- Scope: agents:write
- Graphql: Mutation.agentsLifeModeSet
- Sdk: agents.lifeMode.set
- Cli: agents life mode set

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/agents/{id}/life/mode' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
